---
title: Text.isElementContentWhitespace
slug: Web/API/Text/isElementContentWhitespace
tags:
  - API
  - DOM
  - Obsolete
  - Property
  - Text
---
<p>{{ ApiRef("DOM") }}</p>

<p>{{ obsolete_header }}</p>

<div class="notecard note">
<p><strong>Note:</strong> You may replace it with <code>/\s+/.test(Text.data)</code>, <code>/\s+/.test(Text.nodeValue)</code>, or <code>/\s+/.test(Text.textContent)</code>. Putting any property that represents the textual content of the <code>Text</code> node into <code>test()</code> should do the same work just like the three example above.</p>
</div>

<p>The <strong><code>Text.isElementContentWhitespace</code></strong> read-only property returns a {{domxref("Boolean")}} flag indicating whether or not the text node's content consists solely of whitespace.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"><em>b</em> = <em>textnode</em>.isElementContentWhitespace;</pre>

<h2 id="Example">Example</h2>

<p>In the example below, we create a node with mixed display and whitespace characters and the attribute is <code>false</code>.</p>

<pre class="brush: js">var tn = document.createTextNode("Hello world");
tn.isElementContentWhitespace; /* evaluates to false */
</pre>

<p>For a node that is all whitespace characters, the <code>isElementContentWhitespace</code> evaluates to true.</p>

<pre class="brush: js">var ws = document.createTextNode("  \t \r\n   ")
ws.isElementContentWhitespace; /* evaluates to true */
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Text.isElementContentWhitespace")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Text")}} interface it belongs to.</li>
</ul>
